[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarArchive.Create

Create a new instance of the archive

## Declaration

Source position: line 0

`public constructor TTarArchive.Create(`
`Stream: TStream`
`); overload; constructor TTarArchive.Create(`
`Filename: string;`
`FileMode: Word = fmOpenRead or fmShareDenyWrite`
`); overload;`

## Arguments

`Stream` |  | Stream to read archive from

## Arguments

`Filename` |  | Filename to open and read archive from
`FileMode` |  | Filemode to open file with.

## Description

Create can be used to create a new instance of TTarArchive using either a Stream TStream descendent or using a name of a file to open: FileName. In case of the filename, an open mode can be specified.

## Errors

In case a filename is specified and the file cannot be opened, an exception will occur.

## See also

FindNext |  | Find next archive entry

Documentation generated on: Feb 26 2014